ALSA project - the C library reference

Data Fields
snd_pcm_channel_area_t Struct Reference
PCM Interface

`#include <pcm.h>`

## Data Fields
void * | addr
unsigned int | first
unsigned int | step

## Detailed Description

PCM area specification

Examples
  /test/pcm.c.

## Field Documentation

## ◆ addr

void* snd_pcm_channel_area_t::addr

base address of channel samples

Examples
  /test/pcm.c.

## ◆ first

unsigned int snd_pcm_channel_area_t::first

offset to first sample in bits

Examples
  /test/pcm.c.

## ◆ step

unsigned int snd_pcm_channel_area_t::step

samples distance in bits

Examples
  /test/pcm.c.

The documentation for this struct was generated from the following file:

- /u7/kx/RcL/system/branches/radix-1.9-300/media/alsa-lib/1.2.8/.x86_64-glibc/intel-pc64/alsa-lib-1.2.8/include/pcm.h